;******************************************************************************
;* TMS320C6x C/C++ Codegen  PC Version 5.00 Alpha (Feb 26 2004 - TI INTERNAL) *
;* Date/Time created: Wed Jun 16 23:15:51 2004                                *
;******************************************************************************
	.compiler_opts --endian=little --memory_model=aggdata_far --quiet 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Disabled                                             *
;*   Optimizing for    : Compile time, Ease of Development                    *
;*                       Based on options: no -o, no -ms                      *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Large                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug                                          *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr DW$CU, DW_AT_name("utl_algmem.c")
	.dwattr DW$CU, DW_AT_producer("TMS320C6x C/C++ Codegen PC Version 5.00 Alpha (Feb 26 2004 - TI INTERNAL) Copyright (c) 1996-2003 Texas Instruments Incorporated")
	.dwattr DW$CU, DW_AT_stmt_list(0x00)
	.dwattr DW$CU, DW_AT_TI_VERSION(0x01)

DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("LOG_printf"), DW_AT_symbol_name("_LOG_printf")
	.dwattr DW$1, DW_AT_declaration(0x01)
	.dwattr DW$1, DW_AT_external(0x01)
DW$2	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$67)
DW$3	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$70)
DW$4	.dwtag  DW_TAG_unspecified_parameters
	.dwendtag DW$1

DW$5	.dwtag  DW_TAG_variable, DW_AT_name("ALGRF"), DW_AT_symbol_name("_ALGRF")
	.dwattr DW$5, DW_AT_type(*DW$T$77)
	.dwattr DW$5, DW_AT_declaration(0x01)
	.dwattr DW$5, DW_AT_external(0x01)
DW$6	.dwtag  DW_TAG_variable, DW_AT_name("UTL_logDebugHandle"), DW_AT_symbol_name("_UTL_logDebugHandle")
	.dwattr DW$6, DW_AT_type(*DW$T$67)
	.dwattr DW$6, DW_AT_declaration(0x01)
	.dwattr DW$6, DW_AT_external(0x01)
;	C:\CCStudio_3_0_Beta_6x\C6000\cgtools\bin\acp6x.exe -@C:\DOCUME~1\A0741153\LOCALS~1\Temp\TI4804 

	.sect	".text"

DW$7	.dwtag  DW_TAG_subprogram, DW_AT_name("ALGRF_memSpace"), DW_AT_symbol_name("_ALGRF_memSpace")
	.dwattr DW$7, DW_AT_low_pc(_ALGRF_memSpace)
	.dwattr DW$7, DW_AT_high_pc(0x00)
	.dwattr DW$7, DW_AT_begin_file("../../include/algrf.h")
	.dwattr DW$7, DW_AT_begin_line(0x27)
	.dwattr DW$7, DW_AT_begin_column(0x13)
	.dwpsn	"../../include/algrf.h",40,1

	.dwfde DW$CIE
;----------------------------------------------------------------------
;  39 | static inline Int ALGRF_memSpace(IALG_MemSpace space)                  
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _ALGRF_memSpace                                             *
;*                                                                            *
;*   Regs Modified     : A4,B0,B1,B4,SP                                       *
;*   Regs Used         : A4,B0,B1,B3,B4,DP,SP                                 *
;*   Local Frame Size  : 0 Args + 4 Auto + 0 Save = 4 byte                    *
;******************************************************************************
_ALGRF_memSpace:
;** --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 96, 19
           SUB     .D2     SP,8,SP           ; |40| 
	.dwcfa	0x0e, 8
DW$8	.dwtag  DW_TAG_formal_parameter, DW_AT_name("space"), DW_AT_symbol_name("_space")
	.dwattr DW$8, DW_AT_type(*DW$T$29)
	.dwattr DW$8, DW_AT_location[DW_OP_reg4]
DW$9	.dwtag  DW_TAG_variable, DW_AT_name("space"), DW_AT_symbol_name("_space")
	.dwattr DW$9, DW_AT_type(*DW$T$29)
	.dwattr DW$9, DW_AT_location[DW_OP_breg31 4]
           STW     .D2T1   A4,*+SP(4)        ; |40| 
           NOP             2
	.dwpsn	"../../include/algrf.h",41,5
;----------------------------------------------------------------------
;  41 | switch (space) {                                                       
;  42 |    case IALG_DARAM0:                                                   
;  43 |    case IALG_DARAM1:                                                   
;  44 |    case IALG_SARAM:    /* IALG_SARAM0 same as IALG_SARAM */            
;  45 |    case IALG_SARAM1:                                                   
;  46 |    case IALG_DARAM2:                                                   
;  47 |    case IALG_SARAM2: {                                                 
;----------------------------------------------------------------------
           B       .S1     L4                ; |41| 
           NOP             5
           ; BRANCH OCCURS {L4}              ; |41| 
;** --------------------------------------------------------------------------*
;** --------------------------------------------------------------------------*
L1:    
	.dwpsn	"../../include/algrf.h",48,12
;----------------------------------------------------------------------
;  48 | return (ALGRF->INTHEAP);                                               
;  51 | case IALG_ESDATA:                                                      
;  52 | case IALG_EXTERNAL: {                                                  
;----------------------------------------------------------------------

           B       .S1     L5                ; |48| 
||         LDW     .D2T2   *+DP(_ALGRF),B4   ; |48| 

           NOP             4
           LDW     .D2T1   *B4,A4            ; |48| 
           ; BRANCH OCCURS {L5}              ; |48| 
;** --------------------------------------------------------------------------*
L2:    
	.dwpsn	"../../include/algrf.h",53,12
;----------------------------------------------------------------------
;  53 | return (ALGRF->EXTHEAP);                                               
;  56 | default: {                                                             
;----------------------------------------------------------------------

           B       .S1     L5                ; |53| 
||         LDW     .D2T2   *+DP(_ALGRF),B4   ; |53| 

           NOP             4
           LDW     .D2T1   *+B4(4),A4        ; |53| 
           ; BRANCH OCCURS {L5}              ; |53| 
;** --------------------------------------------------------------------------*
L3:    
	.dwpsn	"../../include/algrf.h",57,12
;----------------------------------------------------------------------
;  57 | return (ALGRF->EXTHEAP);                                               
;----------------------------------------------------------------------

           B       .S1     L5                ; |57| 
||         LDW     .D2T2   *+DP(_ALGRF),B4   ; |57| 

           NOP             4
           LDW     .D2T1   *+B4(4),A4        ; |57| 
           ; BRANCH OCCURS {L5}              ; |57| 
;** --------------------------------------------------------------------------*
;** --------------------------------------------------------------------------*
L4:    
	.dwpsn	"../../include/algrf.h",41,5
           CMPGTU  .L2X    A4,5,B1           ; |41| 
   [!B1]   B       .S1     L1                ; |41| 
           MV      .S2X    A4,B4
           SUB     .D2     B4,16,B4          ; |41| 
           CMPGTU  .L2     B4,1,B0           ; |41| 
           NOP             2
           ; BRANCHCC OCCURS {L1}            ; |41| 
;** --------------------------------------------------------------------------*
   [!B0]   B       .S1     L2                ; |41| 
           NOP             5
           ; BRANCHCC OCCURS {L2}            ; |41| 
;** --------------------------------------------------------------------------*
           B       .S1     L3                ; |41| 
           NOP             5
           ; BRANCH OCCURS {L3}              ; |41| 
;** --------------------------------------------------------------------------*
L5:    
	.dwpsn	"../../include/algrf.h",60,1
           ADD     .D2     8,SP,SP           ; |60| 
	.dwcfa	0x0e, 0
           RET     .S2     B3                ; |60| 
           NOP             5
           ; BRANCH OCCURS {B3}              ; |60| 
	.dwattr DW$7, DW_AT_end_file("../../include/algrf.h")
	.dwattr DW$7, DW_AT_end_line(0x3c)
	.dwattr DW$7, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$7


	.sect	".text"
	.global	_UTL_showAlgMemFunc

DW$10	.dwtag  DW_TAG_subprogram, DW_AT_name("UTL_showAlgMemFunc"), DW_AT_symbol_name("_UTL_showAlgMemFunc")
	.dwattr DW$10, DW_AT_low_pc(_UTL_showAlgMemFunc)
	.dwattr DW$10, DW_AT_high_pc(0x00)
	.dwattr DW$10, DW_AT_begin_file("utl_algmem.c")
	.dwattr DW$10, DW_AT_begin_line(0x1d)
	.dwattr DW$10, DW_AT_begin_column(0x06)
	.dwpsn	"utl_algmem.c",30,1

	.dwfde DW$CIE
;----------------------------------------------------------------------
;  29 | Void UTL_showAlgMemFunc( Ptr algHandlePtr, String algName, Int boolVerb
;     | ose )                                                                  
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _UTL_showAlgMemFunc                                         *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,DP,SP                                   *
;*   Local Frame Size  : 16 Args + 352 Auto + 4 Save = 372 byte               *
;******************************************************************************
_UTL_showAlgMemFunc:
;** --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 96, 19
           ADDK    .S2     -376,SP           ; |30| 
	.dwcfa	0x0e, 376
           STW     .D2T2   B3,*+SP(376)      ; |30| 
           NOP             2
	.dwcfa	0x80, 19, 0
DW$11	.dwtag  DW_TAG_formal_parameter, DW_AT_name("algHandlePtr"), DW_AT_symbol_name("_algHandlePtr")
	.dwattr DW$11, DW_AT_type(*DW$T$65)
	.dwattr DW$11, DW_AT_location[DW_OP_reg4]
DW$12	.dwtag  DW_TAG_formal_parameter, DW_AT_name("algName"), DW_AT_symbol_name("_algName")
	.dwattr DW$12, DW_AT_type(*DW$T$70)
	.dwattr DW$12, DW_AT_location[DW_OP_reg20]
DW$13	.dwtag  DW_TAG_formal_parameter, DW_AT_name("boolVerbose"), DW_AT_symbol_name("_boolVerbose")
	.dwattr DW$13, DW_AT_type(*DW$T$20)
	.dwattr DW$13, DW_AT_location[DW_OP_reg6]
DW$14	.dwtag  DW_TAG_variable, DW_AT_name("algHandlePtr"), DW_AT_symbol_name("_algHandlePtr")
	.dwattr DW$14, DW_AT_type(*DW$T$65)
	.dwattr DW$14, DW_AT_location[DW_OP_breg31 20]
DW$15	.dwtag  DW_TAG_variable, DW_AT_name("algName"), DW_AT_symbol_name("_algName")
	.dwattr DW$15, DW_AT_type(*DW$T$70)
	.dwattr DW$15, DW_AT_location[DW_OP_breg31 24]
DW$16	.dwtag  DW_TAG_variable, DW_AT_name("boolVerbose"), DW_AT_symbol_name("_boolVerbose")
	.dwattr DW$16, DW_AT_type(*DW$T$20)
	.dwattr DW$16, DW_AT_location[DW_OP_breg31 28]
DW$17	.dwtag  DW_TAG_variable, DW_AT_name("memTab"), DW_AT_symbol_name("_memTab")
	.dwattr DW$17, DW_AT_type(*DW$T$78)
	.dwattr DW$17, DW_AT_location[DW_OP_breg31 32]
DW$18	.dwtag  DW_TAG_variable, DW_AT_name("totalSizeInt"), DW_AT_symbol_name("_totalSizeInt")
	.dwattr DW$18, DW_AT_type(*DW$T$20)
	.dwattr DW$18, DW_AT_location[DW_OP_breg31 352]
DW$19	.dwtag  DW_TAG_variable, DW_AT_name("totalSizeExt"), DW_AT_symbol_name("_totalSizeExt")
	.dwattr DW$19, DW_AT_type(*DW$T$20)
	.dwattr DW$19, DW_AT_location[DW_OP_breg31 356]
DW$20	.dwtag  DW_TAG_variable, DW_AT_name("numRecs"), DW_AT_symbol_name("_numRecs")
	.dwattr DW$20, DW_AT_type(*DW$T$20)
	.dwattr DW$20, DW_AT_location[DW_OP_breg31 360]
DW$21	.dwtag  DW_TAG_variable, DW_AT_name("i"), DW_AT_symbol_name("_i")
	.dwattr DW$21, DW_AT_type(*DW$T$20)
	.dwattr DW$21, DW_AT_location[DW_OP_breg31 364]
DW$22	.dwtag  DW_TAG_variable, DW_AT_name("algHandle"), DW_AT_symbol_name("_algHandle")
	.dwattr DW$22, DW_AT_type(*DW$T$36)
	.dwattr DW$22, DW_AT_location[DW_OP_breg31 368]
;----------------------------------------------------------------------
;  31 | IALG_MemRec memTab[ ALGRF_MAXMEMRECS ];                                
;----------------------------------------------------------------------
           STW     .D2T1   A6,*+SP(28)       ; |30| 

           STW     .D2T1   A4,*+SP(20)       ; |30| 
||         MV      .S1X    B4,A3             ; |30| 

           STW     .D2T1   A3,*+SP(24)       ; |30| 
           NOP             2
	.dwpsn	"utl_algmem.c",32,9
;----------------------------------------------------------------------
;  32 | Int totalSizeInt = 0;                                                  
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |32| 
           STW     .D2T2   B4,*+SP(352)      ; |32| 
           NOP             2
	.dwpsn	"utl_algmem.c",33,9
;----------------------------------------------------------------------
;  33 | Int totalSizeExt = 0;                                                  
;  34 | Int numRecs, i;                                                        
;----------------------------------------------------------------------
           STW     .D2T2   B4,*+SP(356)      ; |33| 
           NOP             2
	.dwpsn	"utl_algmem.c",35,17
;----------------------------------------------------------------------
;  35 | IALG_Handle algHandle = (IALG_Handle)algHandlePtr;                     
;----------------------------------------------------------------------
           MV      .S2X    A4,B4
           STW     .D2T2   B4,*+SP(368)      ; |35| 
           NOP             2
	.dwpsn	"utl_algmem.c",37,5
;----------------------------------------------------------------------
;  37 | if (UTL_logDebugHandle == NULL) {                                      
;----------------------------------------------------------------------
           LDW     .D2T2   *+DP(_UTL_logDebugHandle),B0 ; |37| 
           NOP             4
   [!B0]   B       .S1     L13               ; |37| 
           NOP             5
           ; BRANCHCC OCCURS {L13}           ; |37| 
;** --------------------------------------------------------------------------*
	.dwpsn	"utl_algmem.c",38,9
;----------------------------------------------------------------------
;  38 | return;                                                                
;----------------------------------------------------------------------
	.dwpsn	"utl_algmem.c",42,5
;----------------------------------------------------------------------
;  42 | numRecs = algHandle->fxns->algFree( algHandle, memTab );               
;----------------------------------------------------------------------
           LDW     .D2T2   *B4,B4            ; |42| 
           LDW     .D2T1   *+SP(368),A4      ; |42| 
           MVKL    .S2     RL0,B3            ; |42| 
           MVKH    .S2     RL0,B3            ; |42| 
           NOP             1
           LDW     .D2T2   *+B4(20),B5       ; |42| 
           ADDAW   .D2     SP,8,B4           ; |42| 
           NOP             3
           CALL    .S2     B5                ; |42| 
           NOP             5
RL0:       ; CALL OCCURS                     ; |42| 
           STW     .D2T1   A4,*+SP(360)      ; |42| 
           NOP             2
	.dwpsn	"utl_algmem.c",43,5
;----------------------------------------------------------------------
;  43 | memTab[0].base = algHandle;                                            
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(368),B4      ; |43| 
           NOP             4
           STW     .D2T2   B4,*+SP(48)       ; |43| 
           NOP             2
	.dwpsn	"utl_algmem.c",46,5
;----------------------------------------------------------------------
;  46 | if (algName == NULL) {                                                 
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(24),B0       ; |46| 
           NOP             4
   [ B0]   B       .S1     L6                ; |46| 
           NOP             5
           ; BRANCHCC OCCURS {L6}            ; |46| 
;** --------------------------------------------------------------------------*
	.dwpsn	"utl_algmem.c",47,9
;----------------------------------------------------------------------
;  47 | LOG_printf( UTL_logDebugHandle, "Alg  mem. alloc:" );                  
;----------------------------------------------------------------------
           CALL    .S1     _LOG_printf       ; |47| 
           LDW     .D2T1   *+DP(_UTL_logDebugHandle),A4 ; |47| 
           MVKL    .S1     SL1+0,A3          ; |47| 
           MVKH    .S1     SL1+0,A3          ; |47| 

           STW     .D2T1   A3,*+SP(4)        ; |47| 
||         MVKL    .S2     RL1,B3            ; |47| 

           MVKH    .S2     RL1,B3            ; |47| 
RL1:       ; CALL OCCURS                     ; |47| 
	.dwpsn	"utl_algmem.c",48,5
;----------------------------------------------------------------------
;  49 | else {                                                                 
;----------------------------------------------------------------------
           B       .S1     L7                ; |48| 
           NOP             5
           ; BRANCH OCCURS {L7}              ; |48| 
;** --------------------------------------------------------------------------*
L6:    
	.dwpsn	"utl_algmem.c",50,9
;----------------------------------------------------------------------
;  50 | LOG_printf( UTL_logDebugHandle, "Alg %s mem. alloc:", algName );       
;----------------------------------------------------------------------
           CALL    .S1     _LOG_printf       ; |50| 
           LDW     .D2T1   *+DP(_UTL_logDebugHandle),A4 ; |50| 
           MV      .D2     B0,B4
           MVKL    .S1     SL2+0,A3          ; |50| 

           STW     .D2T2   B4,*+SP(8)        ; |50| 
||         MVKH    .S1     SL2+0,A3          ; |50| 
||         MVKL    .S2     RL2,B3            ; |50| 

           STW     .D2T1   A3,*+SP(4)        ; |50| 
||         MVKH    .S2     RL2,B3            ; |50| 

RL2:       ; CALL OCCURS                     ; |50| 
;** --------------------------------------------------------------------------*
L7:    
	.dwpsn	"utl_algmem.c",52,10
;----------------------------------------------------------------------
;  52 | for (i = 0; i < numRecs; ++i) {                                        
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |52| 
           STW     .D2T2   B4,*+SP(364)      ; |52| 
           NOP             2
	.dwpsn	"utl_algmem.c",52,17
;----------------------------------------------------------------------
;  53 | #if 1                                                                  
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(364),B5      ; |52| 
           LDW     .D2T2   *+SP(360),B4      ; |52| 
           NOP             4
           CMPLT   .L2     B5,B4,B0          ; |52| 
   [!B0]   B       .S1     L12               ; |52| 
           NOP             5
           ; BRANCHCC OCCURS {L12}           ; |52| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Software pipelining disabled
;*----------------------------------------------------------------------------*
L8:    
DW$L$_UTL_showAlgMemFunc$6$B:
	.dwpsn	"utl_algmem.c",54,9
;----------------------------------------------------------------------
;  54 | if (ALGRF_memSpace( memTab[i].space ) == ALGRF->INTHEAP) {             
;  55 | #else                                                                  
;  56 | if (i == 0) {                                                          
;  57 | #endif                                                                 
;----------------------------------------------------------------------
           MV      .D2     B5,B4
           SHL     .S2     B4,4,B5           ; |54| 
           ADDAW   .D2     B5,B4,B4          ; |54| 

           CALL    .S1     _ALGRF_memSpace   ; |54| 
||         ADD     .D2     B4,SP,B4          ; |54| 

           LDW     .D2T1   *+B4(40),A4       ; |54| 
           MVKL    .S2     RL3,B3            ; |54| 
           MVKH    .S2     RL3,B3            ; |54| 
           NOP             2
RL3:       ; CALL OCCURS                     ; |54| 
           LDW     .D2T2   *+DP(_ALGRF),B4   ; |54| 
           NOP             4
           LDW     .D2T2   *B4,B4            ; |54| 
           NOP             4
           CMPEQ   .L1X    A4,B4,A1          ; |54| 
   [!A1]   B       .S1     L9                ; |54| 
           NOP             5
           ; BRANCHCC OCCURS {L9}            ; |54| 
DW$L$_UTL_showAlgMemFunc$6$E:
;** --------------------------------------------------------------------------*
DW$L$_UTL_showAlgMemFunc$7$B:
	.dwpsn	"utl_algmem.c",58,13
;----------------------------------------------------------------------
;  58 | LOG_printf( UTL_logDebugHandle,                                        
;  59 |     "  memTab[%d]: size = %d (internal)", i, memTab[i].size );         
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(364),B5      ; |58| 
           MVKL    .S1     SL3+0,A4          ; |58| 
           MVKH    .S1     SL3+0,A4          ; |58| 
           STW     .D2T1   A4,*+SP(4)        ; |58| 
           LDW     .D2T1   *+DP(_UTL_logDebugHandle),A4 ; |58| 
           SHL     .S1X    B5,4,A5           ; |58| 
           MV      .L1X    B5,A3             ; |58| Define a twin register

           MV      .S2     B5,B4             ; |58| 
||         ADDAW   .D1     A5,A3,A3          ; |58| 

           STW     .D2T2   B4,*+SP(8)        ; |58| 
||         ADD     .S1X    A3,SP,A3          ; |58| 

           LDW     .D1T1   *+A3(32),A3       ; |58| 
           CALL    .S1     _LOG_printf       ; |58| 
           MVKL    .S2     RL4,B3            ; |58| 
           NOP             2
           STW     .D2T1   A3,*+SP(12)       ; |58| 
           MVKH    .S2     RL4,B3            ; |58| 
RL4:       ; CALL OCCURS                     ; |58| 
	.dwpsn	"utl_algmem.c",60,13
;----------------------------------------------------------------------
;  60 | totalSizeInt += memTab[i].size;                                        
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(364),B4      ; |60| 
           LDW     .D2T2   *+SP(352),B9      ; |60| 
           NOP             3
           SHL     .S2     B4,4,B5           ; |60| 
           ADDAW   .D2     B5,B4,B4          ; |60| 
           ADD     .S2     B4,SP,B5          ; |60| 
           LDW     .D2T2   *+B5(32),B5       ; |60| 
           NOP             4
           ADD     .D2     B5,B9,B4          ; |60| 
           STW     .D2T2   B4,*+SP(352)      ; |60| 
           NOP             2
	.dwpsn	"utl_algmem.c",61,9
;----------------------------------------------------------------------
;  61 | } else {                                                               
;----------------------------------------------------------------------
           B       .S1     L10               ; |61| 
           NOP             5
           ; BRANCH OCCURS {L10}             ; |61| 
DW$L$_UTL_showAlgMemFunc$7$E:
;** --------------------------------------------------------------------------*
L9:    
DW$L$_UTL_showAlgMemFunc$8$B:
	.dwpsn	"utl_algmem.c",62,13
;----------------------------------------------------------------------
;  62 | LOG_printf( UTL_logDebugHandle,                                        
;  63 |     "  memTab[%d]: size = %d (external)", i, memTab[i].size );         
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(364),B4      ; |62| 
           MVKL    .S1     SL4+0,A4          ; |62| 
           MVKH    .S1     SL4+0,A4          ; |62| 
           STW     .D2T1   A4,*+SP(4)        ; |62| 
           LDW     .D2T1   *+DP(_UTL_logDebugHandle),A4 ; |62| 
           SHL     .S1X    B4,4,A5           ; |62| 
           MV      .L1X    B4,A3             ; |62| Define a twin register

           MV      .S2     B4,B5             ; |62| 
||         ADDAW   .D1     A5,A3,A3          ; |62| 

           STW     .D2T2   B5,*+SP(8)        ; |62| 
||         ADD     .S1X    A3,SP,A3          ; |62| 

           LDW     .D1T1   *+A3(32),A3       ; |62| 
           CALL    .S1     _LOG_printf       ; |62| 
           MVKL    .S2     RL5,B3            ; |62| 
           NOP             2
           STW     .D2T1   A3,*+SP(12)       ; |62| 
           MVKH    .S2     RL5,B3            ; |62| 
RL5:       ; CALL OCCURS                     ; |62| 
	.dwpsn	"utl_algmem.c",64,13
;----------------------------------------------------------------------
;  64 | totalSizeExt += memTab[i].size;                                        
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(364),B4      ; |64| 
           LDW     .D2T2   *+SP(356),B9      ; |64| 
           NOP             3
           SHL     .S2     B4,4,B5           ; |64| 
           ADDAW   .D2     B5,B4,B4          ; |64| 
           ADD     .S2     B4,SP,B5          ; |64| 
           LDW     .D2T2   *+B5(32),B5       ; |64| 
           NOP             4
           ADD     .D2     B5,B9,B4          ; |64| 
           STW     .D2T2   B4,*+SP(356)      ; |64| 
DW$L$_UTL_showAlgMemFunc$8$E:
;** --------------------------------------------------------------------------*
L10:    
DW$L$_UTL_showAlgMemFunc$9$B:
	.dwpsn	"utl_algmem.c",66,9
;----------------------------------------------------------------------
;  66 | if (boolVerbose) {                                                     
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(28),B0       ; |66| 
           NOP             4
   [!B0]   B       .S1     L11               ; |66| 
           NOP             5
           ; BRANCHCC OCCURS {L11}           ; |66| 
DW$L$_UTL_showAlgMemFunc$9$E:
;** --------------------------------------------------------------------------*
DW$L$_UTL_showAlgMemFunc$10$B:
	.dwpsn	"utl_algmem.c",67,13
;----------------------------------------------------------------------
;  67 | LOG_printf( UTL_logDebugHandle,                                        
;  68 |     "    addr = 0x%x (segID = %d)", memTab[i].base,  memTab[i].space );
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(364),B4      ; |67| 
           MVKL    .S1     SL5+0,A5          ; |67| 
           MVKH    .S1     SL5+0,A5          ; |67| 
           STW     .D2T1   A5,*+SP(4)        ; |67| 
           MVKL    .S2     RL6,B3            ; |67| 
           SHL     .S1X    B4,4,A4           ; |67| 
           MV      .L1X    B4,A3             ; |67| Define a twin register
           ADDAW   .D1     A4,A3,A3          ; |67| 
           ADD     .S1X    A3,SP,A3          ; |67| 
           LDW     .D1T1   *+A3(48),A3       ; |67| 
           MV      .D2     B4,B5             ; |67| 
           SHL     .S2     B5,4,B4           ; |67| 
           ADDAW   .D2     B4,B5,B4          ; |67| 
           ADD     .S2     B4,SP,B4          ; |67| 
           STW     .D2T1   A3,*+SP(8)        ; |67| 

           LDW     .D2T2   *+B4(40),B4       ; |67| 
||         CALL    .S1     _LOG_printf       ; |67| 

           LDW     .D2T1   *+DP(_UTL_logDebugHandle),A4 ; |67| 
           MVKH    .S2     RL6,B3            ; |67| 
           NOP             2
           STW     .D2T2   B4,*+SP(12)       ; |67| 
RL6:       ; CALL OCCURS                     ; |67| 
DW$L$_UTL_showAlgMemFunc$10$E:
;** --------------------------------------------------------------------------*
L11:    
DW$L$_UTL_showAlgMemFunc$11$B:
	.dwpsn	"utl_algmem.c",52,30
           LDW     .D2T2   *+SP(364),B4      ; |52| 
           NOP             4
           ADD     .D2     1,B4,B4           ; |52| 
           STW     .D2T2   B4,*+SP(364)      ; |52| 
           NOP             2
	.dwpsn	"utl_algmem.c",52,17
           LDW     .D2T2   *+SP(364),B5      ; |52| 
           LDW     .D2T2   *+SP(360),B4      ; |52| 
           NOP             4
           CMPLT   .L2     B5,B4,B0          ; |52| 
   [ B0]   B       .S1     L8                ; |52| 
           NOP             5
           ; BRANCHCC OCCURS {L8}            ; |52| 
DW$L$_UTL_showAlgMemFunc$11$E:
;** --------------------------------------------------------------------------*
L12:    
	.dwpsn	"utl_algmem.c",71,5
;----------------------------------------------------------------------
;  71 | LOG_printf( UTL_logDebugHandle,                                        
;  72 |     "  total size: int. = %d, ext. = %d", totalSizeInt, totalSizeExt );
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(352),B5      ; |71| 

           CALL    .S1     _LOG_printf       ; |71| 
||         LDW     .D2T2   *+SP(356),B4      ; |71| 

           LDW     .D2T1   *+DP(_UTL_logDebugHandle),A4 ; |71| 
||         MVKL    .S1     SL6+0,A3          ; |71| 

           MVKH    .S1     SL6+0,A3          ; |71| 
           STW     .D2T1   A3,*+SP(4)        ; |71| 

           STW     .D2T2   B5,*+SP(8)        ; |71| 
||         MVKL    .S2     RL7,B3            ; |71| 

           STW     .D2T2   B4,*+SP(12)       ; |71| 
||         MVKH    .S2     RL7,B3            ; |71| 

RL7:       ; CALL OCCURS                     ; |71| 
;** --------------------------------------------------------------------------*
L13:    
	.dwpsn	"utl_algmem.c",73,1
           LDW     .D2T2   *+SP(376),B3      ; |73| 
           NOP             4
	.dwcfa	0xc0, 19
           ADDK    .S2     376,SP            ; |73| 
	.dwcfa	0x0e, 0
           RET     .S2     B3                ; |73| 
           NOP             5
           ; BRANCH OCCURS {B3}              ; |73| 

DW$23	.dwtag  DW_TAG_loop
	.dwattr DW$23, DW_AT_name("C:\my_c_drive_stuff\localwork\cgt_cases\rf3_dsk6713_ccs30_beta_linkappnote\referenceframeworks\src\utl\utl_algmem.asm:L8:1:1087452951")
	.dwattr DW$23, DW_AT_begin_file("utl_algmem.c")
	.dwattr DW$23, DW_AT_begin_line(0x34)
	.dwattr DW$23, DW_AT_end_line(0x46)
DW$24	.dwtag  DW_TAG_loop_range
	.dwattr DW$24, DW_AT_low_pc(DW$L$_UTL_showAlgMemFunc$6$B)
	.dwattr DW$24, DW_AT_high_pc(DW$L$_UTL_showAlgMemFunc$6$E)
DW$25	.dwtag  DW_TAG_loop_range
	.dwattr DW$25, DW_AT_low_pc(DW$L$_UTL_showAlgMemFunc$7$B)
	.dwattr DW$25, DW_AT_high_pc(DW$L$_UTL_showAlgMemFunc$7$E)
DW$26	.dwtag  DW_TAG_loop_range
	.dwattr DW$26, DW_AT_low_pc(DW$L$_UTL_showAlgMemFunc$8$B)
	.dwattr DW$26, DW_AT_high_pc(DW$L$_UTL_showAlgMemFunc$8$E)
DW$27	.dwtag  DW_TAG_loop_range
	.dwattr DW$27, DW_AT_low_pc(DW$L$_UTL_showAlgMemFunc$9$B)
	.dwattr DW$27, DW_AT_high_pc(DW$L$_UTL_showAlgMemFunc$9$E)
DW$28	.dwtag  DW_TAG_loop_range
	.dwattr DW$28, DW_AT_low_pc(DW$L$_UTL_showAlgMemFunc$10$B)
	.dwattr DW$28, DW_AT_high_pc(DW$L$_UTL_showAlgMemFunc$10$E)
DW$29	.dwtag  DW_TAG_loop_range
	.dwattr DW$29, DW_AT_low_pc(DW$L$_UTL_showAlgMemFunc$11$B)
	.dwattr DW$29, DW_AT_high_pc(DW$L$_UTL_showAlgMemFunc$11$E)
	.dwendtag DW$23

	.dwattr DW$10, DW_AT_end_file("utl_algmem.c")
	.dwattr DW$10, DW_AT_end_line(0x49)
	.dwattr DW$10, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$10

;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Alg  mem. alloc:",0
SL2:	.string	"Alg %s mem. alloc:",0
SL3:	.string	"  memTab[%d]: size = %d (internal)",0
SL4:	.string	"  memTab[%d]: size = %d (external)",0
SL5:	.string	"    addr = 0x%x (segID = %d)",0
SL6:	.string	"  total size: int. = %d, ext. = %d",0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_LOG_printf
	.global	_ALGRF
	.global	_UTL_logDebugHandle

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
DW$T$65	.dwtag  DW_TAG_typedef, DW_AT_name("Ptr"), DW_AT_type(*DW$T$3)
	.dwattr DW$T$65, DW_AT_language(DW_LANG_C)

DW$T$71	.dwtag  DW_TAG_subroutine_type
	.dwattr DW$T$71, DW_AT_language(DW_LANG_C)
DW$30	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$67)
DW$31	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$70)
DW$32	.dwtag  DW_TAG_unspecified_parameters
	.dwendtag DW$T$71


DW$T$73	.dwtag  DW_TAG_subroutine_type
	.dwattr DW$T$73, DW_AT_language(DW_LANG_C)
DW$33	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$65)
DW$34	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$70)
DW$35	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$20)
	.dwendtag DW$T$73

DW$T$20	.dwtag  DW_TAG_typedef, DW_AT_name("Int"), DW_AT_type(*DW$T$10)
	.dwattr DW$T$20, DW_AT_language(DW_LANG_C)

DW$T$74	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$74, DW_AT_language(DW_LANG_C)
DW$36	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$29)
	.dwendtag DW$T$74

DW$T$67	.dwtag  DW_TAG_typedef, DW_AT_name("LOG_Handle"), DW_AT_type(*DW$T$66)
	.dwattr DW$T$67, DW_AT_language(DW_LANG_C)
DW$T$77	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$76)
	.dwattr DW$T$77, DW_AT_address_class(0x20)
DW$T$29	.dwtag  DW_TAG_typedef, DW_AT_name("IALG_MemSpace"), DW_AT_type(*DW$T$28)
	.dwattr DW$T$29, DW_AT_language(DW_LANG_C)

DW$T$78	.dwtag  DW_TAG_array_type, DW_AT_type(*DW$T$44)
	.dwattr DW$T$78, DW_AT_language(DW_LANG_C)
	.dwattr DW$T$78, DW_AT_byte_size(0x140)
DW$37	.dwtag  DW_TAG_subrange_type
	.dwattr DW$37, DW_AT_upper_bound(0x0f)
	.dwendtag DW$T$78

DW$T$36	.dwtag  DW_TAG_typedef, DW_AT_name("IALG_Handle"), DW_AT_type(*DW$T$35)
	.dwattr DW$T$36, DW_AT_language(DW_LANG_C)
DW$T$70	.dwtag  DW_TAG_typedef, DW_AT_name("String"), DW_AT_type(*DW$T$69)
	.dwattr DW$T$70, DW_AT_language(DW_LANG_C)
DW$T$3	.dwtag  DW_TAG_pointer_type
	.dwattr DW$T$3, DW_AT_address_class(0x20)
DW$T$10	.dwtag  DW_TAG_base_type, DW_AT_name("int")
	.dwattr DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr DW$T$10, DW_AT_byte_size(0x04)
DW$T$66	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$26)
	.dwattr DW$T$66, DW_AT_address_class(0x20)
DW$T$76	.dwtag  DW_TAG_typedef, DW_AT_name("ALGRF_Config"), DW_AT_type(*DW$T$27)
	.dwattr DW$T$76, DW_AT_language(DW_LANG_C)

DW$T$28	.dwtag  DW_TAG_enumeration_type
	.dwattr DW$T$28, DW_AT_name("IALG_MemSpace")
	.dwattr DW$T$28, DW_AT_byte_size(0x04)
DW$38	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_EPROG"), DW_AT_const_value(0x18)
DW$39	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_IPROG"), DW_AT_const_value(0x08)
DW$40	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_ESDATA"), DW_AT_const_value(0x10)
DW$41	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_EXTERNAL"), DW_AT_const_value(0x11)
DW$42	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_DARAM0"), DW_AT_const_value(0x00)
DW$43	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_DARAM1"), DW_AT_const_value(0x01)
DW$44	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_SARAM"), DW_AT_const_value(0x02)
DW$45	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_SARAM0"), DW_AT_const_value(0x02)
DW$46	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_SARAM1"), DW_AT_const_value(0x03)
DW$47	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_DARAM2"), DW_AT_const_value(0x04)
DW$48	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_SARAM2"), DW_AT_const_value(0x05)
	.dwendtag DW$T$28

DW$T$44	.dwtag  DW_TAG_typedef, DW_AT_name("IALG_MemRec"), DW_AT_type(*DW$T$32)
	.dwattr DW$T$44, DW_AT_language(DW_LANG_C)
DW$T$35	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$64)
	.dwattr DW$T$35, DW_AT_address_class(0x20)
DW$T$69	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$68)
	.dwattr DW$T$69, DW_AT_address_class(0x20)

DW$T$26	.dwtag  DW_TAG_structure_type
	.dwattr DW$T$26, DW_AT_name("LOG_Obj")
	.dwattr DW$T$26, DW_AT_byte_size(0x18)
DW$49	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$23)
	.dwattr DW$49, DW_AT_name("bufend"), DW_AT_symbol_name("_bufend")
	.dwattr DW$49, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr DW$49, DW_AT_accessibility(DW_ACCESS_public)
DW$50	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$19)
	.dwattr DW$50, DW_AT_name("flag"), DW_AT_symbol_name("_flag")
	.dwattr DW$50, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr DW$50, DW_AT_accessibility(DW_ACCESS_public)
DW$51	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$19)
	.dwattr DW$51, DW_AT_name("seqnum"), DW_AT_symbol_name("_seqnum")
	.dwattr DW$51, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr DW$51, DW_AT_accessibility(DW_ACCESS_public)
DW$52	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$25)
	.dwattr DW$52, DW_AT_name("curptr"), DW_AT_symbol_name("_curptr")
	.dwattr DW$52, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr DW$52, DW_AT_accessibility(DW_ACCESS_public)
DW$53	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$19)
	.dwattr DW$53, DW_AT_name("lenmask"), DW_AT_symbol_name("_lenmask")
	.dwattr DW$53, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr DW$53, DW_AT_accessibility(DW_ACCESS_public)
DW$54	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$25)
	.dwattr DW$54, DW_AT_name("bufbeg"), DW_AT_symbol_name("_bufbeg")
	.dwattr DW$54, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr DW$54, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag DW$T$26


DW$T$27	.dwtag  DW_TAG_structure_type
	.dwattr DW$T$27, DW_AT_name("ALGRF_Config")
	.dwattr DW$T$27, DW_AT_byte_size(0x08)
DW$55	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$20)
	.dwattr DW$55, DW_AT_name("INTHEAP"), DW_AT_symbol_name("_INTHEAP")
	.dwattr DW$55, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr DW$55, DW_AT_accessibility(DW_ACCESS_public)
DW$56	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$20)
	.dwattr DW$56, DW_AT_name("EXTHEAP"), DW_AT_symbol_name("_EXTHEAP")
	.dwattr DW$56, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr DW$56, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag DW$T$27


DW$T$32	.dwtag  DW_TAG_structure_type
	.dwattr DW$T$32, DW_AT_name("IALG_MemRec")
	.dwattr DW$T$32, DW_AT_byte_size(0x14)
DW$57	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$19)
	.dwattr DW$57, DW_AT_name("size"), DW_AT_symbol_name("_size")
	.dwattr DW$57, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr DW$57, DW_AT_accessibility(DW_ACCESS_public)
DW$58	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$20)
	.dwattr DW$58, DW_AT_name("alignment"), DW_AT_symbol_name("_alignment")
	.dwattr DW$58, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr DW$58, DW_AT_accessibility(DW_ACCESS_public)
DW$59	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$29)
	.dwattr DW$59, DW_AT_name("space"), DW_AT_symbol_name("_space")
	.dwattr DW$59, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr DW$59, DW_AT_accessibility(DW_ACCESS_public)
DW$60	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$31)
	.dwattr DW$60, DW_AT_name("attrs"), DW_AT_symbol_name("_attrs")
	.dwattr DW$60, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr DW$60, DW_AT_accessibility(DW_ACCESS_public)
DW$61	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$3)
	.dwattr DW$61, DW_AT_name("base"), DW_AT_symbol_name("_base")
	.dwattr DW$61, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr DW$61, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag DW$T$32


DW$T$64	.dwtag  DW_TAG_structure_type
	.dwattr DW$T$64, DW_AT_name("IALG_Obj")
	.dwattr DW$T$64, DW_AT_byte_size(0x04)
DW$62	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$42)
	.dwattr DW$62, DW_AT_name("fxns"), DW_AT_symbol_name("_fxns")
	.dwattr DW$62, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr DW$62, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag DW$T$64

DW$T$68	.dwtag  DW_TAG_base_type, DW_AT_name("signed char")
	.dwattr DW$T$68, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr DW$T$68, DW_AT_byte_size(0x01)
DW$T$23	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$21)
	.dwattr DW$T$23, DW_AT_address_class(0x20)
DW$T$19	.dwtag  DW_TAG_typedef, DW_AT_name("Uns"), DW_AT_type(*DW$T$11)
	.dwattr DW$T$19, DW_AT_language(DW_LANG_C)
DW$T$25	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$24)
	.dwattr DW$T$25, DW_AT_address_class(0x20)
DW$T$31	.dwtag  DW_TAG_typedef, DW_AT_name("IALG_MemAttrs"), DW_AT_type(*DW$T$30)
	.dwattr DW$T$31, DW_AT_language(DW_LANG_C)
DW$T$42	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$63)
	.dwattr DW$T$42, DW_AT_address_class(0x20)
DW$T$21	.dwtag  DW_TAG_typedef, DW_AT_name("Arg"), DW_AT_type(*DW$T$20)
	.dwattr DW$T$21, DW_AT_language(DW_LANG_C)
DW$T$11	.dwtag  DW_TAG_base_type, DW_AT_name("unsigned int")
	.dwattr DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr DW$T$11, DW_AT_byte_size(0x04)
DW$T$24	.dwtag  DW_TAG_typedef, DW_AT_name("LOG_Event"), DW_AT_type(*DW$T$22)
	.dwattr DW$T$24, DW_AT_language(DW_LANG_C)

DW$T$30	.dwtag  DW_TAG_enumeration_type
	.dwattr DW$T$30, DW_AT_name("IALG_MemAttrs")
	.dwattr DW$T$30, DW_AT_byte_size(0x04)
DW$63	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_SCRATCH"), DW_AT_const_value(0x00)
DW$64	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_PERSIST"), DW_AT_const_value(0x01)
DW$65	.dwtag  DW_TAG_enumerator, DW_AT_name("IALG_WRITEONCE"), DW_AT_const_value(0x02)
	.dwendtag DW$T$30


DW$T$63	.dwtag  DW_TAG_structure_type
	.dwattr DW$T$63, DW_AT_name("IALG_Fxns")
	.dwattr DW$T$63, DW_AT_byte_size(0x24)
DW$66	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$3)
	.dwattr DW$66, DW_AT_name("implementationId"), DW_AT_symbol_name("_implementationId")
	.dwattr DW$66, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr DW$66, DW_AT_accessibility(DW_ACCESS_public)
DW$67	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$38)
	.dwattr DW$67, DW_AT_name("algActivate"), DW_AT_symbol_name("_algActivate")
	.dwattr DW$67, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr DW$67, DW_AT_accessibility(DW_ACCESS_public)
DW$68	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$47)
	.dwattr DW$68, DW_AT_name("algAlloc"), DW_AT_symbol_name("_algAlloc")
	.dwattr DW$68, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr DW$68, DW_AT_accessibility(DW_ACCESS_public)
DW$69	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$52)
	.dwattr DW$69, DW_AT_name("algControl"), DW_AT_symbol_name("_algControl")
	.dwattr DW$69, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr DW$69, DW_AT_accessibility(DW_ACCESS_public)
DW$70	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$38)
	.dwattr DW$70, DW_AT_name("algDeactivate"), DW_AT_symbol_name("_algDeactivate")
	.dwattr DW$70, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr DW$70, DW_AT_accessibility(DW_ACCESS_public)
DW$71	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$54)
	.dwattr DW$71, DW_AT_name("algFree"), DW_AT_symbol_name("_algFree")
	.dwattr DW$71, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr DW$71, DW_AT_accessibility(DW_ACCESS_public)
DW$72	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$58)
	.dwattr DW$72, DW_AT_name("algInit"), DW_AT_symbol_name("_algInit")
	.dwattr DW$72, DW_AT_data_member_location[DW_OP_plus_uconst 0x18]
	.dwattr DW$72, DW_AT_accessibility(DW_ACCESS_public)
DW$73	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$60)
	.dwattr DW$73, DW_AT_name("algMoved"), DW_AT_symbol_name("_algMoved")
	.dwattr DW$73, DW_AT_data_member_location[DW_OP_plus_uconst 0x1c]
	.dwattr DW$73, DW_AT_accessibility(DW_ACCESS_public)
DW$74	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$62)
	.dwattr DW$74, DW_AT_name("algNumAlloc"), DW_AT_symbol_name("_algNumAlloc")
	.dwattr DW$74, DW_AT_data_member_location[DW_OP_plus_uconst 0x20]
	.dwattr DW$74, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag DW$T$63

DW$T$38	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$37)
	.dwattr DW$T$38, DW_AT_address_class(0x20)
DW$T$60	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$59)
	.dwattr DW$T$60, DW_AT_address_class(0x20)
DW$T$47	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$46)
	.dwattr DW$T$47, DW_AT_address_class(0x20)
DW$T$52	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$51)
	.dwattr DW$T$52, DW_AT_address_class(0x20)
DW$T$54	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$53)
	.dwattr DW$T$54, DW_AT_address_class(0x20)
DW$T$58	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$57)
	.dwattr DW$T$58, DW_AT_address_class(0x20)
DW$T$62	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$61)
	.dwattr DW$T$62, DW_AT_address_class(0x20)

DW$T$22	.dwtag  DW_TAG_structure_type
	.dwattr DW$T$22, DW_AT_name("LOG_Event")
	.dwattr DW$T$22, DW_AT_byte_size(0x10)
DW$75	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$19)
	.dwattr DW$75, DW_AT_name("seqnum"), DW_AT_symbol_name("_seqnum")
	.dwattr DW$75, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr DW$75, DW_AT_accessibility(DW_ACCESS_public)
DW$76	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$21)
	.dwattr DW$76, DW_AT_name("val1"), DW_AT_symbol_name("_val1")
	.dwattr DW$76, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr DW$76, DW_AT_accessibility(DW_ACCESS_public)
DW$77	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$21)
	.dwattr DW$77, DW_AT_name("val2"), DW_AT_symbol_name("_val2")
	.dwattr DW$77, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr DW$77, DW_AT_accessibility(DW_ACCESS_public)
DW$78	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$21)
	.dwattr DW$78, DW_AT_name("val3"), DW_AT_symbol_name("_val3")
	.dwattr DW$78, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr DW$78, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag DW$T$22


DW$T$37	.dwtag  DW_TAG_subroutine_type
	.dwattr DW$T$37, DW_AT_language(DW_LANG_C)
DW$79	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$36)
	.dwendtag DW$T$37


DW$T$59	.dwtag  DW_TAG_subroutine_type
	.dwattr DW$T$59, DW_AT_language(DW_LANG_C)
DW$80	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$36)
DW$81	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$56)
DW$82	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$36)
DW$83	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$41)
	.dwendtag DW$T$59


DW$T$46	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$46, DW_AT_language(DW_LANG_C)
DW$84	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$41)
DW$85	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$43)
DW$86	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$45)
	.dwendtag DW$T$46


DW$T$51	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$51, DW_AT_language(DW_LANG_C)
DW$87	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$36)
DW$88	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$48)
DW$89	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$50)
	.dwendtag DW$T$51


DW$T$53	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$53, DW_AT_language(DW_LANG_C)
DW$90	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$36)
DW$91	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$45)
	.dwendtag DW$T$53


DW$T$57	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$57, DW_AT_language(DW_LANG_C)
DW$92	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$36)
DW$93	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$56)
DW$94	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$36)
DW$95	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$41)
	.dwendtag DW$T$57


DW$T$61	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$20)
	.dwattr DW$T$61, DW_AT_language(DW_LANG_C)
DW$T$48	.dwtag  DW_TAG_typedef, DW_AT_name("IALG_Cmd"), DW_AT_type(*DW$T$11)
	.dwattr DW$T$48, DW_AT_language(DW_LANG_C)
DW$T$45	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$44)
	.dwattr DW$T$45, DW_AT_address_class(0x20)
DW$T$56	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$55)
	.dwattr DW$T$56, DW_AT_address_class(0x20)
DW$T$41	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$40)
	.dwattr DW$T$41, DW_AT_address_class(0x20)
DW$T$50	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$49)
	.dwattr DW$T$50, DW_AT_address_class(0x20)
DW$T$43	.dwtag  DW_TAG_pointer_type, DW_AT_type(*DW$T$42)
	.dwattr DW$T$43, DW_AT_address_class(0x20)
DW$T$55	.dwtag  DW_TAG_const_type
	.dwattr DW$T$55, DW_AT_type(*DW$T$44)
DW$T$40	.dwtag  DW_TAG_const_type
	.dwattr DW$T$40, DW_AT_type(*DW$T$39)
DW$T$49	.dwtag  DW_TAG_typedef, DW_AT_name("IALG_Status"), DW_AT_type(*DW$T$34)
	.dwattr DW$T$49, DW_AT_language(DW_LANG_C)
DW$T$39	.dwtag  DW_TAG_typedef, DW_AT_name("IALG_Params"), DW_AT_type(*DW$T$33)
	.dwattr DW$T$39, DW_AT_language(DW_LANG_C)

DW$T$34	.dwtag  DW_TAG_structure_type
	.dwattr DW$T$34, DW_AT_name("IALG_Status")
	.dwattr DW$T$34, DW_AT_byte_size(0x04)
DW$96	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$20)
	.dwattr DW$96, DW_AT_name("size"), DW_AT_symbol_name("_size")
	.dwattr DW$96, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr DW$96, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag DW$T$34


DW$T$33	.dwtag  DW_TAG_structure_type
	.dwattr DW$T$33, DW_AT_name("IALG_Params")
	.dwattr DW$T$33, DW_AT_byte_size(0x04)
DW$97	.dwtag  DW_TAG_member, DW_AT_type(*DW$T$20)
	.dwattr DW$97, DW_AT_name("size"), DW_AT_symbol_name("_size")
	.dwattr DW$97, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr DW$97, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag DW$T$33


	.dwattr DW$7, DW_AT_type(*DW$T$20)
	.dwattr DW$10, DW_AT_external(0x01)
	.dwattr DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

DW$CIE	.dwcie 1, 96
	.dwcfa	0x0c, 31, 0
	.dwcfa	0x07, 0
	.dwcfa	0x07, 1
	.dwcfa	0x07, 2
	.dwcfa	0x07, 3
	.dwcfa	0x07, 4
	.dwcfa	0x07, 5
	.dwcfa	0x07, 6
	.dwcfa	0x07, 7
	.dwcfa	0x07, 8
	.dwcfa	0x07, 9
	.dwcfa	0x08, 10
	.dwcfa	0x08, 11
	.dwcfa	0x08, 12
	.dwcfa	0x08, 13
	.dwcfa	0x08, 14
	.dwcfa	0x08, 15
	.dwcfa	0x07, 16
	.dwcfa	0x07, 17
	.dwcfa	0x07, 18
	.dwcfa	0x07, 19
	.dwcfa	0x07, 20
	.dwcfa	0x07, 21
	.dwcfa	0x07, 22
	.dwcfa	0x07, 23
	.dwcfa	0x07, 24
	.dwcfa	0x07, 25
	.dwcfa	0x08, 26
	.dwcfa	0x08, 27
	.dwcfa	0x08, 28
	.dwcfa	0x08, 29
	.dwcfa	0x08, 30
	.dwcfa	0x08, 31
	.dwcfa	0x08, 32
	.dwcfa	0x07, 33
	.dwcfa	0x07, 34
	.dwcfa	0x07, 35
	.dwcfa	0x07, 36
	.dwcfa	0x07, 37
	.dwcfa	0x07, 38
	.dwcfa	0x07, 39
	.dwcfa	0x07, 40
	.dwcfa	0x07, 41
	.dwcfa	0x07, 42
	.dwcfa	0x07, 43
	.dwcfa	0x07, 44
	.dwcfa	0x07, 45
	.dwcfa	0x07, 46
	.dwcfa	0x07, 47
	.dwcfa	0x07, 48
	.dwcfa	0x07, 49
	.dwcfa	0x07, 50
	.dwcfa	0x07, 51
	.dwcfa	0x07, 52
	.dwcfa	0x07, 53
	.dwcfa	0x07, 54
	.dwcfa	0x07, 55
	.dwcfa	0x07, 56
	.dwcfa	0x07, 57
	.dwcfa	0x07, 58
	.dwcfa	0x07, 59
	.dwcfa	0x07, 60
	.dwcfa	0x07, 61
	.dwcfa	0x07, 62
	.dwcfa	0x07, 63
	.dwcfa	0x07, 64
	.dwcfa	0x07, 65
	.dwcfa	0x07, 66
	.dwcfa	0x07, 67
	.dwcfa	0x07, 68
	.dwcfa	0x07, 69
	.dwcfa	0x07, 70
	.dwcfa	0x07, 71
	.dwcfa	0x07, 72
	.dwcfa	0x07, 73
	.dwcfa	0x07, 74
	.dwcfa	0x07, 75
	.dwcfa	0x07, 76
	.dwcfa	0x07, 77
	.dwcfa	0x07, 78
	.dwcfa	0x07, 79
	.dwcfa	0x07, 80
	.dwcfa	0x07, 81
	.dwcfa	0x07, 82
	.dwcfa	0x07, 83
	.dwcfa	0x07, 84
	.dwcfa	0x07, 85
	.dwcfa	0x07, 86
	.dwcfa	0x07, 87
	.dwcfa	0x07, 88
	.dwcfa	0x07, 89
	.dwcfa	0x07, 90
	.dwcfa	0x07, 91
	.dwcfa	0x07, 92
	.dwcfa	0x07, 93
	.dwcfa	0x07, 94
	.dwcfa	0x07, 95
	.dwcfa	0x07, 96

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

DW$98	.dwtag  DW_TAG_assign_register, DW_AT_name("A0")
	.dwattr DW$98, DW_AT_location[DW_OP_reg0]
DW$99	.dwtag  DW_TAG_assign_register, DW_AT_name("A1")
	.dwattr DW$99, DW_AT_location[DW_OP_reg1]
DW$100	.dwtag  DW_TAG_assign_register, DW_AT_name("A2")
	.dwattr DW$100, DW_AT_location[DW_OP_reg2]
DW$101	.dwtag  DW_TAG_assign_register, DW_AT_name("A3")
	.dwattr DW$101, DW_AT_location[DW_OP_reg3]
DW$102	.dwtag  DW_TAG_assign_register, DW_AT_name("A4")
	.dwattr DW$102, DW_AT_location[DW_OP_reg4]
DW$103	.dwtag  DW_TAG_assign_register, DW_AT_name("A5")
	.dwattr DW$103, DW_AT_location[DW_OP_reg5]
DW$104	.dwtag  DW_TAG_assign_register, DW_AT_name("A6")
	.dwattr DW$104, DW_AT_location[DW_OP_reg6]
DW$105	.dwtag  DW_TAG_assign_register, DW_AT_name("A7")
	.dwattr DW$105, DW_AT_location[DW_OP_reg7]
DW$106	.dwtag  DW_TAG_assign_register, DW_AT_name("A8")
	.dwattr DW$106, DW_AT_location[DW_OP_reg8]
DW$107	.dwtag  DW_TAG_assign_register, DW_AT_name("A9")
	.dwattr DW$107, DW_AT_location[DW_OP_reg9]
DW$108	.dwtag  DW_TAG_assign_register, DW_AT_name("A10")
	.dwattr DW$108, DW_AT_location[DW_OP_reg10]
DW$109	.dwtag  DW_TAG_assign_register, DW_AT_name("A11")
	.dwattr DW$109, DW_AT_location[DW_OP_reg11]
DW$110	.dwtag  DW_TAG_assign_register, DW_AT_name("A12")
	.dwattr DW$110, DW_AT_location[DW_OP_reg12]
DW$111	.dwtag  DW_TAG_assign_register, DW_AT_name("A13")
	.dwattr DW$111, DW_AT_location[DW_OP_reg13]
DW$112	.dwtag  DW_TAG_assign_register, DW_AT_name("A14")
	.dwattr DW$112, DW_AT_location[DW_OP_reg14]
DW$113	.dwtag  DW_TAG_assign_register, DW_AT_name("A15")
	.dwattr DW$113, DW_AT_location[DW_OP_reg15]
DW$114	.dwtag  DW_TAG_assign_register, DW_AT_name("B0")
	.dwattr DW$114, DW_AT_location[DW_OP_reg16]
DW$115	.dwtag  DW_TAG_assign_register, DW_AT_name("B1")
	.dwattr DW$115, DW_AT_location[DW_OP_reg17]
DW$116	.dwtag  DW_TAG_assign_register, DW_AT_name("B2")
	.dwattr DW$116, DW_AT_location[DW_OP_reg18]
DW$117	.dwtag  DW_TAG_assign_register, DW_AT_name("B3")
	.dwattr DW$117, DW_AT_location[DW_OP_reg19]
DW$118	.dwtag  DW_TAG_assign_register, DW_AT_name("B4")
	.dwattr DW$118, DW_AT_location[DW_OP_reg20]
DW$119	.dwtag  DW_TAG_assign_register, DW_AT_name("B5")
	.dwattr DW$119, DW_AT_location[DW_OP_reg21]
DW$120	.dwtag  DW_TAG_assign_register, DW_AT_name("B6")
	.dwattr DW$120, DW_AT_location[DW_OP_reg22]
DW$121	.dwtag  DW_TAG_assign_register, DW_AT_name("B7")
	.dwattr DW$121, DW_AT_location[DW_OP_reg23]
DW$122	.dwtag  DW_TAG_assign_register, DW_AT_name("B8")
	.dwattr DW$122, DW_AT_location[DW_OP_reg24]
DW$123	.dwtag  DW_TAG_assign_register, DW_AT_name("B9")
	.dwattr DW$123, DW_AT_location[DW_OP_reg25]
DW$124	.dwtag  DW_TAG_assign_register, DW_AT_name("B10")
	.dwattr DW$124, DW_AT_location[DW_OP_reg26]
DW$125	.dwtag  DW_TAG_assign_register, DW_AT_name("B11")
	.dwattr DW$125, DW_AT_location[DW_OP_reg27]
DW$126	.dwtag  DW_TAG_assign_register, DW_AT_name("B12")
	.dwattr DW$126, DW_AT_location[DW_OP_reg28]
DW$127	.dwtag  DW_TAG_assign_register, DW_AT_name("B13")
	.dwattr DW$127, DW_AT_location[DW_OP_reg29]
DW$128	.dwtag  DW_TAG_assign_register, DW_AT_name("DP")
	.dwattr DW$128, DW_AT_location[DW_OP_reg30]
DW$129	.dwtag  DW_TAG_assign_register, DW_AT_name("SP")
	.dwattr DW$129, DW_AT_location[DW_OP_reg31]
DW$130	.dwtag  DW_TAG_assign_register, DW_AT_name("FP")
	.dwattr DW$130, DW_AT_location[DW_OP_regx 0x20]
DW$131	.dwtag  DW_TAG_assign_register, DW_AT_name("PC")
	.dwattr DW$131, DW_AT_location[DW_OP_regx 0x21]
DW$132	.dwtag  DW_TAG_assign_register, DW_AT_name("IRP")
	.dwattr DW$132, DW_AT_location[DW_OP_regx 0x22]
DW$133	.dwtag  DW_TAG_assign_register, DW_AT_name("IFR")
	.dwattr DW$133, DW_AT_location[DW_OP_regx 0x23]
DW$134	.dwtag  DW_TAG_assign_register, DW_AT_name("NRP")
	.dwattr DW$134, DW_AT_location[DW_OP_regx 0x24]
DW$135	.dwtag  DW_TAG_assign_register, DW_AT_name("A16")
	.dwattr DW$135, DW_AT_location[DW_OP_regx 0x25]
DW$136	.dwtag  DW_TAG_assign_register, DW_AT_name("A17")
	.dwattr DW$136, DW_AT_location[DW_OP_regx 0x26]
DW$137	.dwtag  DW_TAG_assign_register, DW_AT_name("A18")
	.dwattr DW$137, DW_AT_location[DW_OP_regx 0x27]
DW$138	.dwtag  DW_TAG_assign_register, DW_AT_name("A19")
	.dwattr DW$138, DW_AT_location[DW_OP_regx 0x28]
DW$139	.dwtag  DW_TAG_assign_register, DW_AT_name("A20")
	.dwattr DW$139, DW_AT_location[DW_OP_regx 0x29]
DW$140	.dwtag  DW_TAG_assign_register, DW_AT_name("A21")
	.dwattr DW$140, DW_AT_location[DW_OP_regx 0x2a]
DW$141	.dwtag  DW_TAG_assign_register, DW_AT_name("A22")
	.dwattr DW$141, DW_AT_location[DW_OP_regx 0x2b]
DW$142	.dwtag  DW_TAG_assign_register, DW_AT_name("A23")
	.dwattr DW$142, DW_AT_location[DW_OP_regx 0x2c]
DW$143	.dwtag  DW_TAG_assign_register, DW_AT_name("A24")
	.dwattr DW$143, DW_AT_location[DW_OP_regx 0x2d]
DW$144	.dwtag  DW_TAG_assign_register, DW_AT_name("A25")
	.dwattr DW$144, DW_AT_location[DW_OP_regx 0x2e]
DW$145	.dwtag  DW_TAG_assign_register, DW_AT_name("A26")
	.dwattr DW$145, DW_AT_location[DW_OP_regx 0x2f]
DW$146	.dwtag  DW_TAG_assign_register, DW_AT_name("A27")
	.dwattr DW$146, DW_AT_location[DW_OP_regx 0x30]
DW$147	.dwtag  DW_TAG_assign_register, DW_AT_name("A28")
	.dwattr DW$147, DW_AT_location[DW_OP_regx 0x31]
DW$148	.dwtag  DW_TAG_assign_register, DW_AT_name("A29")
	.dwattr DW$148, DW_AT_location[DW_OP_regx 0x32]
DW$149	.dwtag  DW_TAG_assign_register, DW_AT_name("A30")
	.dwattr DW$149, DW_AT_location[DW_OP_regx 0x33]
DW$150	.dwtag  DW_TAG_assign_register, DW_AT_name("A31")
	.dwattr DW$150, DW_AT_location[DW_OP_regx 0x34]
DW$151	.dwtag  DW_TAG_assign_register, DW_AT_name("B16")
	.dwattr DW$151, DW_AT_location[DW_OP_regx 0x35]
DW$152	.dwtag  DW_TAG_assign_register, DW_AT_name("B17")
	.dwattr DW$152, DW_AT_location[DW_OP_regx 0x36]
DW$153	.dwtag  DW_TAG_assign_register, DW_AT_name("B18")
	.dwattr DW$153, DW_AT_location[DW_OP_regx 0x37]
DW$154	.dwtag  DW_TAG_assign_register, DW_AT_name("B19")
	.dwattr DW$154, DW_AT_location[DW_OP_regx 0x38]
DW$155	.dwtag  DW_TAG_assign_register, DW_AT_name("B20")
	.dwattr DW$155, DW_AT_location[DW_OP_regx 0x39]
DW$156	.dwtag  DW_TAG_assign_register, DW_AT_name("B21")
	.dwattr DW$156, DW_AT_location[DW_OP_regx 0x3a]
DW$157	.dwtag  DW_TAG_assign_register, DW_AT_name("B22")
	.dwattr DW$157, DW_AT_location[DW_OP_regx 0x3b]
DW$158	.dwtag  DW_TAG_assign_register, DW_AT_name("B23")
	.dwattr DW$158, DW_AT_location[DW_OP_regx 0x3c]
DW$159	.dwtag  DW_TAG_assign_register, DW_AT_name("B24")
	.dwattr DW$159, DW_AT_location[DW_OP_regx 0x3d]
DW$160	.dwtag  DW_TAG_assign_register, DW_AT_name("B25")
	.dwattr DW$160, DW_AT_location[DW_OP_regx 0x3e]
DW$161	.dwtag  DW_TAG_assign_register, DW_AT_name("B26")
	.dwattr DW$161, DW_AT_location[DW_OP_regx 0x3f]
DW$162	.dwtag  DW_TAG_assign_register, DW_AT_name("B27")
	.dwattr DW$162, DW_AT_location[DW_OP_regx 0x40]
DW$163	.dwtag  DW_TAG_assign_register, DW_AT_name("B28")
	.dwattr DW$163, DW_AT_location[DW_OP_regx 0x41]
DW$164	.dwtag  DW_TAG_assign_register, DW_AT_name("B29")
	.dwattr DW$164, DW_AT_location[DW_OP_regx 0x42]
DW$165	.dwtag  DW_TAG_assign_register, DW_AT_name("B30")
	.dwattr DW$165, DW_AT_location[DW_OP_regx 0x43]
DW$166	.dwtag  DW_TAG_assign_register, DW_AT_name("B31")
	.dwattr DW$166, DW_AT_location[DW_OP_regx 0x44]
DW$167	.dwtag  DW_TAG_assign_register, DW_AT_name("AMR")
	.dwattr DW$167, DW_AT_location[DW_OP_regx 0x45]
DW$168	.dwtag  DW_TAG_assign_register, DW_AT_name("CSR")
	.dwattr DW$168, DW_AT_location[DW_OP_regx 0x46]
DW$169	.dwtag  DW_TAG_assign_register, DW_AT_name("ISR")
	.dwattr DW$169, DW_AT_location[DW_OP_regx 0x47]
DW$170	.dwtag  DW_TAG_assign_register, DW_AT_name("ICR")
	.dwattr DW$170, DW_AT_location[DW_OP_regx 0x48]
DW$171	.dwtag  DW_TAG_assign_register, DW_AT_name("IER")
	.dwattr DW$171, DW_AT_location[DW_OP_regx 0x49]
DW$172	.dwtag  DW_TAG_assign_register, DW_AT_name("ISTP")
	.dwattr DW$172, DW_AT_location[DW_OP_regx 0x4a]
DW$173	.dwtag  DW_TAG_assign_register, DW_AT_name("FADCR")
	.dwattr DW$173, DW_AT_location[DW_OP_regx 0x4b]
DW$174	.dwtag  DW_TAG_assign_register, DW_AT_name("FAUCR")
	.dwattr DW$174, DW_AT_location[DW_OP_regx 0x4c]
DW$175	.dwtag  DW_TAG_assign_register, DW_AT_name("FMCR")
	.dwattr DW$175, DW_AT_location[DW_OP_regx 0x4d]
DW$176	.dwtag  DW_TAG_assign_register, DW_AT_name("GFPGFR")
	.dwattr DW$176, DW_AT_location[DW_OP_regx 0x4e]
DW$177	.dwtag  DW_TAG_assign_register, DW_AT_name("DIER")
	.dwattr DW$177, DW_AT_location[DW_OP_regx 0x4f]
DW$178	.dwtag  DW_TAG_assign_register, DW_AT_name("REP")
	.dwattr DW$178, DW_AT_location[DW_OP_regx 0x50]
DW$179	.dwtag  DW_TAG_assign_register, DW_AT_name("TSCL")
	.dwattr DW$179, DW_AT_location[DW_OP_regx 0x51]
DW$180	.dwtag  DW_TAG_assign_register, DW_AT_name("TSCH")
	.dwattr DW$180, DW_AT_location[DW_OP_regx 0x52]
DW$181	.dwtag  DW_TAG_assign_register, DW_AT_name("ARP")
	.dwattr DW$181, DW_AT_location[DW_OP_regx 0x53]
DW$182	.dwtag  DW_TAG_assign_register, DW_AT_name("ILC")
	.dwattr DW$182, DW_AT_location[DW_OP_regx 0x54]
DW$183	.dwtag  DW_TAG_assign_register, DW_AT_name("RILC")
	.dwattr DW$183, DW_AT_location[DW_OP_regx 0x55]
DW$184	.dwtag  DW_TAG_assign_register, DW_AT_name("DNUM")
	.dwattr DW$184, DW_AT_location[DW_OP_regx 0x56]
DW$185	.dwtag  DW_TAG_assign_register, DW_AT_name("SSR")
	.dwattr DW$185, DW_AT_location[DW_OP_regx 0x57]
DW$186	.dwtag  DW_TAG_assign_register, DW_AT_name("GPLYA")
	.dwattr DW$186, DW_AT_location[DW_OP_regx 0x58]
DW$187	.dwtag  DW_TAG_assign_register, DW_AT_name("GPLYB")
	.dwattr DW$187, DW_AT_location[DW_OP_regx 0x59]
DW$188	.dwtag  DW_TAG_assign_register, DW_AT_name("TSR")
	.dwattr DW$188, DW_AT_location[DW_OP_regx 0x5a]
DW$189	.dwtag  DW_TAG_assign_register, DW_AT_name("ITSR")
	.dwattr DW$189, DW_AT_location[DW_OP_regx 0x5b]
DW$190	.dwtag  DW_TAG_assign_register, DW_AT_name("NTSR")
	.dwattr DW$190, DW_AT_location[DW_OP_regx 0x5c]
DW$191	.dwtag  DW_TAG_assign_register, DW_AT_name("EFR")
	.dwattr DW$191, DW_AT_location[DW_OP_regx 0x5d]
DW$192	.dwtag  DW_TAG_assign_register, DW_AT_name("ECR")
	.dwattr DW$192, DW_AT_location[DW_OP_regx 0x5e]
DW$193	.dwtag  DW_TAG_assign_register, DW_AT_name("IERR")
	.dwattr DW$193, DW_AT_location[DW_OP_regx 0x5f]
DW$194	.dwtag  DW_TAG_assign_register, DW_AT_name("CIE_RETA")
	.dwattr DW$194, DW_AT_location[DW_OP_regx 0x60]
	.dwendtag DW$CU

